漏洞信息详情

abcpp abcpp.c 缓冲区溢出漏洞

  • CNNVD编号:CNNVD-200501-151
  • 危害等级: 超危
  • CVE编号: CVE-2004-1259
  • 漏洞类型: 缓冲区溢出
  • 发布时间: 2005-01-10
  • 威胁类型: 远程
  • 更新时间: 2005-10-20
  • 厂        商: abcpp
  • 漏洞来源:

漏洞简介

abcpp是一款ABC音乐文件的预处理器程序。 abcpp 1.3.0版本中abcpp.c的handle_directive函数存在多个缓冲溢漏洞。 远程攻击者可以通过特别构造的ABC文件,利用此漏洞执行任意代码。

漏洞公告

目前厂商还没有提供此漏洞的相关补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本: http://abcplus.sourceforge.net/#abcpp

参考网址

来源: XF 名称: abcpp-handledirective-bo(18581) 链接:http://xforce.iss.net/xforce/xfdb/18581 来源: MISC 链接:http://tigger.uic.edu/~jlongs2/holes/abcpp.txt

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多